package com.casic.missiles.modular.system.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.casic.missiles.modular.system.dto.BusConfigDTO;
import com.casic.missiles.core.datascope.DataScope;
import com.casic.missiles.modular.system.model.BusConfig;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备配置表 服务类
 * </p>
 *
 * @author stylefeng123
 * @since 2019-05-16
 */
public interface IBusConfigService extends IService<BusConfig> {
    public List<Map<String, Object>> getConfigList(Page<BusConfigDTO> page,
                                                  String keywords,
                                                  String deptid,
                                                   DataScope dataScope);


    public Map<String, Object> validate(List<BusConfigDTO> busConfigDTOList);

    public String getConcenCodeByDevId(Long devID);

    public String getWellDeepByDevId(Long devID);

    public void addConfig(BusConfigDTO busConfigDTO);

    public void addBatchConfig(List<BusConfigDTO> busConfigDTOList);

    public void updateConfig(BusConfigDTO busConfigDTO);

    public  List<BusConfig> getListBydevId(Long devId);


}



